6.0.0-git
2019-04-24

[#11289] "Expand all" folder action behaves flaky
Summary "Expand all" folder action behaves flaky
Queue IMP
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-07-20 (2469 days ago)
Due
Updated 2012-08-29 (2429 days ago)
Assigned
Resolved 2012-07-25 (2464 days ago)
Milestone
Patch No

History
2012-08-29 12:45:02 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 179b03c8de08b84fc462b2fc912de5770e930b97
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jul 25 05:55:30 2012 -0600

     [mms] Fix expanding all mailboxes in dynamic view (Bug #11289).

  imp/docs/CHANGES   |    1 +
  imp/js/dimpbase.js |    4 +++-
  imp/package.xml    |    2 ++
  3 files changed, 6 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/179b03c8de08b84fc462b2fc912de5770e930b97
2012-07-28 13:35:45 Thomas Jarosch Comment #3 Reply to this comment
Thanks Michael, working like a charm now!

2012-07-25 12:13:59 Michael Slusarz Assigned to Michael Slusarz
State ⇒ Resolved
 
2012-07-25 12:06:59 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (develop):

commit 179b03c8de08b84fc462b2fc912de5770e930b97
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Jul 25 05:55:30 2012 -0600

     [mms] Fix expanding all mailboxes in dynamic view (Bug #11289).

  imp/docs/CHANGES   |    1 +
  imp/js/dimpbase.js |    4 +++-
  imp/package.xml    |    2 ++
  3 files changed, 6 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/179b03c8de08b84fc462b2fc912de5770e930b97
2012-07-20 08:51:31 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ "Expand all" folder action behaves flaky
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hi,

I enter imp and immediately click on "Folder actions" -> "Expand all".
-> Nothing happens.

I repeat it two more times and then it expands all folders. It seems 
to be timing related: If I wait long enough between the first and the 
second click, it will expand all folders on the second invocation.

Background info on the used IMAP account:
Around 68 folders, some of them are rather large (50.000+ messages).
Hierarchy is three or four folders deep.

I've also configured IMP to check for new mail every five minutes and 
to check all folders.

Maybe the "initial mail status check" is blocking the expand operation?

Thomas

Saved Queries